class_name DashUpgrade extends "res://scenes/upgrade/upgrade.gd"

func _init() -> void:
	upgradeName = "Dash Upgrade"
	description = "Fast forward jump. Needs 30 seconds to recharge"

func select():
	if Globals.getPlayer() != null:
		Globals.getPlayer().dashUnlocked = true
		Globals.getPlayer().dashCooldown.start()
